<?php
namespace Pinpoint\LogoManager\Api;

use Pinpoint\LogoManager\Api\Data\LogoInterface;
use Magento\Framework\Api\SortOrder;
use Magento\Framework\Api\SearchCriteriaInterface;

/**
 * Interface LogoRepositoryInterface
 * @package Pinpoint\LogoManager\Api
 */
interface LogoRepositoryInterface
{
    /**
     * @param LogoInterface $page
     * @return mixed
     */
    public function save(LogoInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function getById($id);

    /**
     * @param SearchCriteriaInterface $criteria
     * @return mixed
     */
    public function getList(SearchCriteriaInterface $criteria);

    /**
     * @param LogoInterface $page
     * @return mixed
     */
    public function delete(LogoInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function deleteById($id);
}
