<?php
namespace Pinpoint\LogoManager\Ui\Component\Listing\Column\Pinpointlogomanagerlogos;


use Magento\Framework\View\Element\UiComponent\ContextInterface;
use Magento\Framework\View\Element\UiComponentFactory;

/**
 * Class Thumbnail
 * @package Pinpoint\LogoManager\Ui\Component\Listing\Column\Pinpointlogomanagerlogos
 */
class Thumbnail extends \Magento\Ui\Component\Listing\Columns\Column
{
    /**
     * @var \Magento\Framework\UrlInterface
     */
    protected $urlBuilder;

    /**
     * Thumbnail constructor.
     * @param \Magento\Framework\UrlInterface $urlBuilder
     * @param ContextInterface $context
     * @param UiComponentFactory $uiComponentFactory
     * @param array $components
     * @param array $data
     */
    public function __construct(
        \Magento\Framework\UrlInterface $urlBuilder,
        ContextInterface $context,
        UiComponentFactory $uiComponentFactory,
        array $components = [],
        array $data = []
    ) {
        parent::__construct($context, $uiComponentFactory, $components, $data);
        $this->urlBuilder = $urlBuilder;
    }

    /**
     * Prepare Data Source
     *
     * @param array $dataSource
     * @return array
     */
    public function prepareDataSource(array $dataSource)
    {
        if (isset($dataSource['data']['items'])) {
            $fieldName = $this->getData('name');
            foreach ($dataSource['data']['items'] as & $item) {
                if (pathinfo(realpath($_SERVER["DOCUMENT_ROOT"]))['basename'] == 'pub') {
                    $item['logo'] = str_replace('pub/', '', $item['logo']);
                }
                $item[$fieldName . '_src'] = $item['logo'];
                $item[$fieldName . '_link'] = $this->urlBuilder->getUrl(
                    'logomanager/logo/edit',
                    ['id' => $item['id'], 'store' => $this->context->getRequestParam('store')]
                );
                $item[$fieldName . '_alt'] = $item['logo_name'];
                $item[$fieldName . '_orig_src'] = $item['logo'];
            }
        }

        return $dataSource;
    }
}
